Report (Gradle API 4.10.2)
Date: 2018-09-19

org.gradle.api.reporting

## Interface Report

- All Superinterfaces:
    org.gradle.util.Configurable<Report>, Serializable
  All Known Subinterfaces:
    ConfigurableReport, CustomizableHtmlReport, DirectoryReport, FindBugsXmlReport, JUnitXmlReport, SingleFileReport

      public interface Report
      extends Serializable, org.gradle.util.Configurable<Report>

  A file based report to be created.

  Tasks that produce reports expose instances of this type for configuration via the `Reporting` interface.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Report.OutputType` The type of output the report produces

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Namer<Report>` | `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDestination()` The location on the filesystem of the report when it is generated.
    `String` | `getDisplayName()` A more descriptive name of this report.
    `String` | `getName()` The symbolic name of this report.
    `Report.OutputType` | `getOutputType()` The type of output that the report generates.
    `boolean` | `isEnabled()` Whether or not this report should be generated by whatever generates it.
    `void` | `setEnabled(boolean enabled)` Whether or not this report should be generated by whatever generates it.

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Field Detail

    - #### NAMER

          static final Namer<Report> NAMER

  - ### Method Detail

    - #### getName

          @Input
          String getName()

      The symbolic name of this report.

      The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.

      When part of a `ReportContainer`, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

           reports.html

      Returns:
        The name of this report.

    - #### getDisplayName

          @Input
          String getDisplayName()

      A more descriptive name of this report. Used when the report is referenced for end users.
      Returns:
        A more descriptive name of this report.

    - #### isEnabled

          @Input
          boolean isEnabled()

      Whether or not this report should be generated by whatever generates it.

      If `true`, the generator of this report will generate it at the appropriate time. If `false`, the generator of this report will not generate this report.

      Returns:
        Whether or not this report should be generated by whatever generates it.

    - #### setEnabled

          void setEnabled(boolean enabled)

      Whether or not this report should be generated by whatever generates it.
      Parameters:
        `enabled` - Whether or not this report should be generated by whatever generates it.
      See Also:
        `isEnabled()`

    - #### getDestination

          @Internal(value="Implementations need to add the correct annotation, @OutputDirectory or @OutputFile")
          File getDestination()

      The location on the filesystem of the report when it is generated.

      Depending on the `output type` of the report, this may point to a file or a directory.

      Subtypes may implement setters for the destination.

      Returns:
        The location on the filesystem of the report when it is generated

    - #### getOutputType

          @Input
          Report.OutputType getOutputType()

      The type of output that the report generates.
      Returns:
        The type of output that the report generates.